Skip to main content
POST
/
app.rocksky.shout.replyShout
Reply to a shout
curl --request POST \
  --url https://api.rocksky.app/xrpc/app.rocksky.shout.replyShout \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shoutId": "<string>",
  "message": "<string>"
}
'
{
  "id": "<string>",
  "message": "<string>",
  "parent": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": "<string>",
    "did": "<string>",
    "handle": "<string>",
    "displayName": "<string>",
    "avatar": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.rocksky.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
shoutId
string
required

The unique identifier of the shout to reply to

message
string
required

The content of the reply

Minimum string length: 1

Response

OK

id
string

The unique identifier of the shout.

message
string

The content of the shout.

parent
string

The ID of the parent shout if this is a reply, otherwise null.

createdAt
string<date-time>

The date and time when the shout was created.

author
object